# Uses of Class
com.fasterxml.jackson.core.StreamReadConstraints

Packages that use StreamReadConstraints
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.io
com.fasterxml.jackson.core.sym
Internal implementation classes for efficient handling of of symbols in JSON (field names in Objects)
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of StreamReadConstraints in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as StreamReadConstraints
Modifier and Type
Field
Description
`protected StreamReadConstraints`
JsonFactory.`_streamReadConstraints`
Read constraints to use for `JsonParser`s constructed using this factory.
`protected StreamReadConstraints`
TSFBuilder.`_streamReadConstraints`
`StreamReadConstraints` to use.
Methods in com.fasterxml.jackson.core that return StreamReadConstraints
Modifier and Type
Method
Description
`StreamReadConstraints`
StreamReadConstraints.Builder.`build()`
`static StreamReadConstraints`
StreamReadConstraints.`defaults()`
`StreamReadConstraints`
JsonFactory.`streamReadConstraints()`
`StreamReadConstraints`
JsonParser.`streamReadConstraints()`
Get the constraints to apply when performing streaming reads.
`abstract StreamReadConstraints`
TokenStreamFactory.`streamReadConstraints()`
Get the constraints to apply when performing streaming reads.
Methods in com.fasterxml.jackson.core with parameters of type StreamReadConstraints
Modifier and Type
Method
Description
`static void`
StreamReadConstraints.`overrideDefaultStreamReadConstraints(StreamReadConstraints streamReadConstraints)`
Override the default StreamReadConstraints.
`JsonFactory`
JsonFactory.`setStreamReadConstraints(StreamReadConstraints src)`
Method for overriding `StreamReadConstraints` defined for this factory.
`B`
TSFBuilder.`streamReadConstraints(StreamReadConstraints streamReadConstraints)`
Sets the constraints for streaming reads.

## Uses of StreamReadConstraints in com.fasterxml.jackson.core.base

Fields in com.fasterxml.jackson.core.base declared as StreamReadConstraints
Modifier and Type
Field
Description
`protected final StreamReadConstraints`
ParserBase.`_streamReadConstraints`
Methods in com.fasterxml.jackson.core.base that return StreamReadConstraints
Modifier and Type
Method
Description
`StreamReadConstraints`
ParserBase.`streamReadConstraints()`

## Uses of StreamReadConstraints in com.fasterxml.jackson.core.io

Fields in com.fasterxml.jackson.core.io declared as StreamReadConstraints
Modifier and Type
Field
Description
`protected final StreamReadConstraints`
IOContext.`_streamReadConstraints`
Methods in com.fasterxml.jackson.core.io that return StreamReadConstraints
Modifier and Type
Method
Description
`StreamReadConstraints`
IOContext.`streamReadConstraints()`
Constructors in com.fasterxml.jackson.core.io with parameters of type StreamReadConstraints
Modifier
Constructor
Description
``
`IOContext(StreamReadConstraints src, StreamWriteConstraints swc, ErrorReportConfiguration erc, BufferRecycler br, ContentReference contentRef, boolean managedResource)`
Main constructor to use.
``
`IOContext(StreamReadConstraints src, BufferRecycler br, ContentReference contentRef, boolean managedResource)`
Deprecated.
Since 2.16.

## Uses of StreamReadConstraints in com.fasterxml.jackson.core.sym

Fields in com.fasterxml.jackson.core.sym declared as StreamReadConstraints
Modifier and Type
Field
Description
`protected final StreamReadConstraints`
CharsToNameCanonicalizer.`_streamReadConstraints`
Constraints used by `TokenStreamFactory` that uses this canonicalizer.

## Uses of StreamReadConstraints in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return StreamReadConstraints
Modifier and Type
Method
Description
`StreamReadConstraints`
JsonParserDelegate.`streamReadConstraints()`
Constructors in com.fasterxml.jackson.core.util with parameters of type StreamReadConstraints
Modifier
Constructor
Description
``
`ReadConstrainedTextBuffer(StreamReadConstraints streamReadConstraints, BufferRecycler bufferRecycler)`